import { Identifier } from "./identifier";
import { IDTuple } from "./shared";
import { IdentifierCodec } from "./identifier-codec";
/**
 * Convert an encoded identifier string into an Identifier. The string can be in either data or human format.
 * @param encoded the encoded string
 * @returns an Identifier instance
 */
export declare function decodeFromString<INPUT, VALUE, ENCODED>(encoded: string): Identifier<VALUE>;
export declare function decodeToIdentifier<INPUT, VALUE, ENCODED>(tuple: IDTuple<ENCODED>): Identifier<VALUE>;
export declare function decodeString(encoded: string): Uint8Array;
export declare function decodeBytes<ENCODED>(bytes: Uint8Array): IDTuple<ENCODED>;
export declare function decodeWithCodec<INPUT, VALUE, ENCODED>(codec: IdentifierCodec<INPUT, VALUE, ENCODED>, encoded: ENCODED): VALUE;
