import { Identifier } from "./identifier";
import { IDTuple } from "./shared";
import { IdentifierCodec } from "./identifier-codec";
/**
 * Convert an Identifier into a base-128 encoded identifier string.
 * @param identifier the identifier object
 * @returns an encoded identifier string
 */
export declare function toBase128String<VALUE>(identifier: Identifier<VALUE>): string;
/**
 * Convert an Identifier into a base-32 encoded identifier string.
 * @param identifier the identifier object
 * @returns an encoded identifier string
 */
export declare function toBase32String<VALUE>(identifier: Identifier<VALUE>): string;
/**
 * Convert an Identifier into a debug-friendly string. Presents the type and value of the identifier.
 * @param identifier the identifier object
 * @returns a string representation of the identifier
 */
export declare function toDebugString<VALUE>(identifier: Identifier<VALUE>): string;
export declare function encodeIdTuple<VALUE, ENCODED>(identifier: Identifier<VALUE>): IDTuple<ENCODED>;
export declare function encodeWithCodec<INPUT, VALUE, ENCODED>(codec: IdentifierCodec<INPUT, VALUE, ENCODED>, value: VALUE): ENCODED;
export declare function encodeBytes<VALUE>(tuple: IDTuple<VALUE>): Uint8Array;
