import * as Long from "long";
import { IdentifierCodec } from "./identifier-codec";
import { CompositeFactory, Factory } from "./factory";
import { LongInput } from "./types/long";
import { DatetimeInput } from "./types/datetime";
import { BytesInput } from "./types/bytes";
import { UuidInput, UuidLike } from "./types/uuid";
import { ImmutableDate } from "./types/immutable-date";
import { GeoInput, GeoLike } from "./types/geo";
export interface Factories {
    readonly string: Factory<string, string>;
    readonly boolean: Factory<boolean, boolean>;
    readonly integer: Factory<number, number>;
    readonly float: Factory<number, number>;
    readonly long: Factory<LongInput, Long>;
    readonly bytes: Factory<BytesInput, number[]>;
    readonly uuid: Factory<UuidInput, UuidLike>;
    readonly datetime: Factory<DatetimeInput, ImmutableDate>;
    readonly geo: Factory<GeoInput, GeoLike>;
    readonly composite: CompositeFactory;
}
export declare function processCodec<INPUT, VALUE, ENCODED>(itemCodec: IdentifierCodec<INPUT, VALUE, ENCODED>): Factory<INPUT, VALUE>;
export declare function createCompositeFactory(): CompositeFactory;
/**
 * Factories for identifiers.
 */
export declare const factory: Factories;
