"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var decode_1 = require("./decode");
/**
 * JavaScript's JSON.parse() function can take a reviver function to parse data elements in JSON values.
 * Use this function to parse encoded Identifier strings into Identifier instances. This function will ignore
 * JSON strings that are not encoded Identifier strings.
 * @see https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/JSON/parse#Syntax
 */
function JSON_reviver(key, value) {
    if (typeof value === "string") {
        try {
            return decode_1.decodeFromString(value);
        }
        catch (_a) {
            //do nothing, not an encoded identifier
        }
    }
    return value;
}
exports.JSON_reviver = JSON_reviver;
//# sourceMappingURL=json-reviver.js.map