"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Bit to indicate the type code is a semantic type code.
 */
exports.SEMANTIC_TYPE_FLAG = 0x80;
/**
 * Mask to AND against a type code to find the non-semantic type code.
 */
exports.SEMANTIC_TYPE_MASK = exports.SEMANTIC_TYPE_FLAG - 1;
/**
 * Shift the slot position left by this value and OR it with the semantic type value.
 */
exports.SEMANTIC_SLOT_SHIFT = 0x8;
var SLOTS = [];
function registerSemanticTypeCode(baseTypeCode, slot) {
    if (SLOTS[slot]) {
        throw new Error("semantic slot " + slot + " already taken by " + SLOTS[slot] + ".");
    }
    return SLOTS[slot] = baseTypeCode | exports.SEMANTIC_TYPE_FLAG | (slot << exports.SEMANTIC_SLOT_SHIFT);
}
exports.registerSemanticTypeCode = registerSemanticTypeCode;
//# sourceMappingURL=semantic.js.map