import * as Long from "long";
import * as S from "js.spec";
import { Identifier } from "./identifier";
export declare const LONG_BYTES: Long[];
export declare type TypedObject<T> = {
    [key: string]: T;
};
export declare type MapIdentifier<VALUE> = Identifier<TypedObject<VALUE>>;
/**
 * Symbol key to store codec in an identifier instance.
 */
export declare const codecSymbol: symbol;
/**
 * Common predicate used to test if a value exists--neither undefined or null. Checks for boolean values so that
 * a value of 'false' will return true fo this method because the value exists.
 * @param value the value to test
 * @returns true if the value exists, regardless of it's actual value
 */
export declare function exists(value: any): boolean;
export declare function isString(value: any): value is string;
export declare function isNumber(value: any): value is number;
/**
 * Recursively deep-freeze objects.
 * @param obj the object to deep freeze
 * @returns the frozen object
 */
export declare function deepFreeze<T extends TypedObject<any>>(obj: T): T;
/**
 * Convenience function to extract the first character code from a string.
 */
export declare function toCharCode(char: string): number;
export declare type IDTuple<VALUE> = readonly [number, VALUE];
export declare const identifierSpec: S.Spec;
export declare const decodedIdSpec: S.Spec;
