export { factory, decodeFromString, JSON_reviver } from "./index";
export { Identifier } from "./identifier";
export { MapIdentifier } from "./shared";
export { Factory, ListFactory, MapFactory, CompositeFactory } from "./factory";
import * as LONG from "./types/long";
export declare namespace long {
    /**
     * Input type for long identifier that takes either a number or a Long-like object. Some Long-like objects
     * have an unsigned field. This field should be false if present as Longs in Identifiers are signed.
     */
    type LongInput = LONG.LongInput;
    type LongLike = LONG.LongLike;
}
import * as BYTES from "./types/bytes";
export declare namespace bytes {
    type BytesInput = BYTES.BytesInput;
}
import * as UUID from "./types/uuid";
export declare namespace uuid {
    type UuidInput = UUID.UuidInput;
    type UuidLike = UUID.UuidLike;
}
import * as DATETIME from "./types/datetime";
import * as IDATE from "./types/immutable-date";
export declare namespace datetime {
    type DatetimeInput = DATETIME.DatetimeInput;
    /**
     * Identifier-centric immutable wrapper around a Date instance. It provides the Date methods often used in system that
     * treat dates as identifiers. One can get a Date instance for other cases.
     */
    type ImmutableDate = IDATE.ImmutableDate;
}
import * as GEO from "./types/geo";
export declare namespace geo {
    type GeoInput = GEO.GeoInput;
    type GeoLike = GEO.GeoLike;
}
import * as COMPOSITE from "./types/composite";
export declare namespace composite {
    type IdList = COMPOSITE.CompositeIdList;
    type IdMap = COMPOSITE.CompositeIdMap;
}
