"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var S = require("js.spec");
var Long = require("long");
var long_1 = require("./long");
var semantic_1 = require("../semantic");
var immutable_date_1 = require("./immutable-date");
var shared_1 = require("../shared");
var datetimeInputSpec = S.spec.or("DatetimeInput spec", {
    "Date": S.spec.date,
    "number": Number.isInteger
});
function decodeDatetime(encoded) {
    var value = shared_1.isNumber(encoded)
        ? encoded
        : long_1.longCodec.decode(encoded).toNumber();
    return immutable_date_1.createImmutableDate(value);
}
function toDebugString(date) {
    return date.toISOString();
}
function encodeDatetime(date) {
    return Long.fromNumber(date.time);
}
/**
 * Encoded value is the unix epoch time value. Base type is long.
 */
exports.datetimeCodec = {
    type: "datetime",
    typeCode: semantic_1.registerSemanticTypeCode(long_1.longCodec.typeCode, 1),
    specForIdentifier: datetimeInputSpec,
    specForDecoding: long_1.longCodec.specForDecoding,
    forIdentifier: immutable_date_1.createImmutableDate,
    toDebugString: toDebugString,
    encode: encodeDatetime,
    decode: decodeDatetime
};
//# sourceMappingURL=datetime.js.map