"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var S = require("js.spec");
var msgpack_typed_numbers_1 = require("msgpack-typed-numbers");
var shared_types_1 = require("./shared-types");
var floatSpec = S.spec.predicate("float value", S.spec.finite);
function encodeFloat(value) {
    return new msgpack_typed_numbers_1.Float(value);
}
exports.floatCodec = {
    type: "float",
    typeCode: 0x3,
    specForIdentifier: floatSpec,
    specForDecoding: floatSpec,
    forIdentifier: shared_types_1.asIsCodec.forIdentifier,
    toDebugString: shared_types_1.asIsCodec.toDebugString,
    encode: encodeFloat,
    decode: shared_types_1.asIsCodec.decode
};
//# sourceMappingURL=float.js.map