export interface ImmutableDate {
    /**
     * The time value.
     */
    readonly time: number;
    /**
     * Same as Date.toString()
     */
    toString(): string;
    /**
     * Same as Date.toUTCString()
     */
    toUTCString(): string;
    /**
     * Same as Date.toISOString()
     */
    toISOString(): string;
    /**
     * Same as Date.toJSON()
     */
    toJSON(key?: string): string;
    /**
     * Returns a copy of the wrapped Date instance
     */
    toDate(): Date;
}
/**
 * Creates an immutable date instance.
 * @param value can be either a timestamp number or a Date instance
 * @returns an ImmutableDate instance
 */
export declare function createImmutableDate(value: number | Date): ImmutableDate;
