"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var S = require("js.spec");
var shared_types_1 = require("./shared-types");
//32-bit signed value range
var MIN_INT = -0x80000000;
var MAX_INT = 0x7fffffff;
function is32BitInteger(value) {
    return value >= MIN_INT && value <= MAX_INT;
}
/**
 * Spec for 32-bit integer values.
 */
exports.integerSpec = S.spec.and("integer value", Number.isInteger, is32BitInteger);
exports.integerCodec = {
    type: "integer",
    typeCode: 0x2,
    specForIdentifier: exports.integerSpec,
    specForDecoding: exports.integerSpec,
    forIdentifier: shared_types_1.asIsCodec.forIdentifier,
    toDebugString: shared_types_1.asIsCodec.toDebugString,
    encode: shared_types_1.asIsCodec.encode,
    decode: shared_types_1.asIsCodec.decode
};
//# sourceMappingURL=integer.js.map