import * as S from "js.spec";
import { IdentifierCodec } from "../identifier-codec";
import { TypedObject } from "../shared";
export declare const MAP_TYPE_CODE = 16;
export declare const MAP_OF = 64;
export declare function mapValues<IN, OUT>(map: TypedObject<IN>, mapFn: (value: IN) => OUT, sortKeys?: boolean): TypedObject<OUT>;
/**
 * Spec to apply an item spec to every value in a map.
 */
export declare class MapValuesSpec extends S.AbstractSpec {
    constructor(itemSpec: S.Spec, prefix: string);
    itemSpec(): S.Spec;
    conform(value: any): any;
    explain(path: string[], via: string[], value: any): S.Problem[];
}
export declare function createMapCodec<INPUT, VALUE, ENCODED>(itemCodec: IdentifierCodec<INPUT, VALUE, ENCODED>): IdentifierCodec<TypedObject<INPUT>, TypedObject<VALUE>, TypedObject<ENCODED>>;
export declare function calculateMapTypeCode(itemTypeCode: number): number;
