/**
 * UUID defined in IETF RFC 4122. Supports all versions of UUID.
 * @see https://tools.ietf.org/html/rfc4122.html
 */
import * as S from "js.spec";
import { IdentifierCodec } from "../identifier-codec";
import { BytesInput } from "./bytes";
export interface UuidLike {
    readonly bytes: number[];
    toString(): string;
    toJSON(key?: string): string;
}
export declare type UuidInput = BytesInput | string;
export declare const uuidInputSpec: S.Spec;
export declare const uuidDecodingSpec: S.Spec;
export declare const uuidCodec: IdentifierCodec<UuidInput, UuidLike, Uint8Array>;
